Bug 74780 - Installer doesn't support LinkSys PCM200 v3 PCMCIA CardBus network card
Installer doesn't support LinkSys PCM200 v3 PCMCIA CardBus network card
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-01 12:24 EDT by Jason A. Pfeil
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason A. Pfeil 2002-10-01 12:24:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020916

Description of problem:
There are a few bugs to report in the PCMCIA installation when booting from the
official pcmcia.img and using the pcmciadd.img image.  There are errors in the
/etc/pcmcia/config file's syntax but those don't appear to be fatal.  The
*major* problem is that the LinkSys EtherFast PCM200 v3 card is not supported by
the modules on pcmciadd.img, despite it being supported in version 0.95b
8/2/2002 of the driver module from Donald Becker.  What is the procedure for
having updated driver modules added to a disk, even if I have to mount the image
and modify the modules.cgz CPIO archive and the etc/pcmcia/config file manually?

The needed data in the tulip.c file (line 407 in the version I have) is:

{ "ADMtek Centaur-C (Linksys PCM200 v3)", { 0xab091737, 0xffffffff },
TULIP_IOTYPE, TULIP_SIZE1, COMET },


It's right after this text:

{ "ADMtek Centaur-C (Linksys)", { 0xab0813d1, 0xffffffff }, TULIP_IOTYPE,
TULIP_SIZE1, COMET },

and right befor this text:

{ "STMicro STE10/100 Comet", { 0x0981104a, 0xffffffff }, TULIP_IOTYPE,
TULIP_SIZE1, COMET },

Thanks!

--Jason

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot with pcmcia.img on a floppy
2. When prompted, insert the pcmciadd.img floppy
3. Notice the syntax errors and that the network card is not detected
	

Actual Results:  The network card is not detected

Expected Results:  The network card should be detected

Additional info:
Comment 1 Jeremy Katz 2002-10-01 18:04:00 EDT
Once the kernel has been updated to support the card, the installer will follow
along
Comment 2 Bugzilla owner 2004-09-30 11:39:57 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.